## org.apache.aries.subsystem.core.archive
Class VersionRangeAttribute

    java.lang.Object
      org.apache.aries.subsystem.core.archive.AbstractParameter
          org.apache.aries.subsystem.core.archive.AbstractAttribute
              org.apache.aries.subsystem.core.archive.VersionRangeAttribute

All Implemented Interfaces:
  Attribute, Parameter

    public class VersionRangeAttribute

extends AbstractAttribute

Field Summary
`static VersionRangeAttribute` `DEFAULT`
`static String` `NAME`

Constructor Summary
`VersionRangeAttribute()`
`VersionRangeAttribute(String value)`
`VersionRangeAttribute(org.osgi.framework.VersionRange range)`

Method Summary
`StringBuilder` `appendToFilter(StringBuilder builder)`
`Object` `getValue()`
`org.osgi.framework.VersionRange` `getVersionRange()`

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractAttribute
`toString`

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractParameter
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.aries.subsystem.core.archive.Parameter
`getName`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

### DEFAULT

    public static final VersionRangeAttribute DEFAULT

Constructor Detail

### VersionRangeAttribute

    public VersionRangeAttribute()

### VersionRangeAttribute

    public VersionRangeAttribute(String value)

### VersionRangeAttribute

    public VersionRangeAttribute(org.osgi.framework.VersionRange range)

Method Detail

### appendToFilter

    public StringBuilder appendToFilter(StringBuilder builder)

  Specified by:
    `appendToFilter` in interface `Attribute`
  Overrides:
    `appendToFilter` in class `AbstractAttribute`

### getValue

    public Object getValue()

  Specified by:
    `getValue` in interface `Parameter`
  Overrides:
    `getValue` in class `AbstractParameter`

### getVersionRange

    public org.osgi.framework.VersionRange getVersionRange()

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.